CVE-2011-4029

NameCVE-2011-4029
DescriptionThe LockServer function in os/utils.c in X.Org xserver before 1.11.2 allows local users to change the permissions of arbitrary files to 444, read those files, and possibly cause a denial of service (removed execution permission) via a symlink attack on a temporary lock file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xorg-server (PTS)stretch2:1.19.2-1+deb9u5fixed
stretch (security)2:1.19.2-1+deb9u7fixed
buster, buster (security)2:1.20.4-1+deb10u2fixed
bullseye2:1.20.10-3fixed
sid2:1.20.11-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xorg-serversourcesqueeze2:1.7.7-14
xorg-serversource(unstable)2:1.11.1.901-2low

Notes

[lenny] - xorg-server <no-dsa> (Minor issue)
http://cgit.freedesktop.org/xorg/xserver/commit/?id=b67581cf825940fdf52bf2e0af4330e695d724a4
this has a poc now: http://web.archive.org/web/20111204204028/http://vladz.devzero.fr:80/Xorg-CVE-2011-4029.txt

Search for package or bug name: Reporting problems